OpenCV - Bug # 4074: OCR Tesseract won't accept 3 channel images

Status: Done Priority: Normal

Author: Matthew McGovern Category: contrib/text

Created: 2014-12-18 Assignee:

Updated: 2015-06-09 Due date:

Affected version: branch 'master' (3.0-dev)

Difficulty: Easy

Pull request:

Operating System: Linux

HW Platform: x86

Description: While writing some code that uses text::OCRTesseract, | came across an error trace that led me to think there

might be an error in the logic with text::OCRTesseract::run().
This was a runtime error code, while attempting to pass an RBG

The error code:
/home/username/opencv_contrib/modules/text/src/ocr_tesseract.cpp:130: error: (-215) (image.type() ==
CV_8UCH1) || (image.type() == CV_8UCH) in function run

Notice the two 'or' logic checks are looking for the same type of image, | checked the Documentation and this
function should accept an image CV_8UC1 or CV_8UC3. Should this be changed?

First bug report, be nice if my formatting is bad! Thanks ya'll.

Associated revisions

2015-05-28 09:43 pm - Vadim Pisarevsky
Merge pull request #4074 from vpisarev:objdetect_fixes

History

2015-04-27 03:27 pm - Vadim Pisarevsky
- Category set to contrib/text

2015-06-09 09:48 am - Lluis Gomez

- Status changed from New to Done

Fixed in Pull Request #253 https://github.com/ltseez/opencv_contrib/pull/253

Seems to be just typo-error because Tesseract API can handle correctly with RGB images (double-checked and it works).
